Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.beans
Class OneNTSharedResBean

    java.lang.Object
      |
      +--uk.co.westhawk.snmp.beans.SNMPBean
            |
            +--uk.co.westhawk.snmp.beans.SNMPRunBean
                  |
                  +--uk.co.westhawk.snmp.beans.OneNTSharedResBean

All Implemented Interfaces:
  java.util.Observer, java.lang.Runnable

public class OneNTSharedResBean
extends SNMPRunBean
implements java.util.Observer

This bean collects information about one NT shared resource installed on a NT server. The NT mib is described in the LAN Manager MIB II for Windows NT Objects . You will have to register to the MSDN before accessing this page.

The properties in the parent classes should be set, before calling the action() method. Via a PropertyChangeEvent the application/applet will be notified.

Version:
  $Revision: 1.10 $ $Date: 2002/10/10 15:13:56 $
Author:
  Birgit Arkesteijn
See Also:
  `SNMPBean.setHost(java.lang.String)`, `SNMPBean.setPort(int)`, `SNMPBean.setCommunityName(java.lang.String)`, `SNMPRunBean.setUpdateInterval(int)`, `setIndex(String)`, `SNMPBean.addPropertyChangeListener(java.beans.PropertyChangeListener)`, `SNMPBean.action()`, `GetPdu_vec`, `NTSharedResBean`

Fields inherited from class uk.co.westhawk.snmp.beans.SNMPRunBean
`interval, me, running`

Fields inherited from class uk.co.westhawk.snmp.beans.SNMPBean
`community, context, host, message, port, propertyChangeListener`

Constructor Summary
`OneNTSharedResBean()` The default constructor.
`OneNTSharedResBean(java.lang.String h, int p)` The constructor that will set the host and the port no.

Method Summary
`void` | `action()` This method starts sending the SNMP request.
`java.lang.String` | `getComment()` Returns the comment associated with the NT shared resource.
`java.lang.String` | `getIndex()` Returns the index of the NT shared resource.
`java.util.Date` | `getLastUpdateDate()` Returns the date of the moment when this bean was last updated.
`java.lang.String` | `getName()` Returns the name of the NT shared resource.
`java.lang.String` | `getPath()` Returns the local name (path) of the NT shared resource.
`void` | `run()` The run method according to the Runnable interface.
`void` | `setIndex(java.lang.String ind)` Sets the index of the NT shared resource that will be requested.
`void` | `update(java.util.Observable obs, java.lang.Object ov)` The update method according to the Observer interface, it will be called when the Pdu response is received.

Methods inherited from class uk.co.westhawk.snmp.beans.SNMPRunBean
`getUpdateInterval, isRunning, setRunning, setUpdateInterval, setUpdateInterval`

Methods inherited from class uk.co.westhawk.snmp.beans.SNMPBean
`addPropertyChangeListener, firePropertyChange, getCommunityName, getHost, getMessage, getPort, isHostPortReachable, removePropertyChangeListener, setCommunityName, setHost, setMessage, setPort, setPort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneNTSharedResBean

    public OneNTSharedResBean()

  The default constructor.

### OneNTSharedResBean

    public OneNTSharedResBean(java.lang.String h,
                              int p)

  The constructor that will set the host and the port no.
  Parameters:
    `h` - the hostname
    `p` - the port no
  See Also:
    `SNMPBean.setHost(java.lang.String)`, `SNMPBean.setPort(int)`

Method Detail

### setIndex

    public void setIndex(java.lang.String ind)

  Sets the index of the NT shared resource that will be requested.
  Parameters:
    `ind` - the index
  See Also:
    `getIndex()`, `NTSharedResBean.getIndex(String)`

### getIndex

    public java.lang.String getIndex()

  Returns the index of the NT shared resource.
  Returns:
    the index
  See Also:
    `setIndex(String)`

### getName

    public java.lang.String getName()

  Returns the name of the NT shared resource.
  Returns:
    the name

### getPath

    public java.lang.String getPath()

  Returns the local name (path) of the NT shared resource.
  Returns:
    the path

### getComment

    public java.lang.String getComment()

  Returns the comment associated with the NT shared resource.
  Returns:
    the comment

### getLastUpdateDate

    public java.util.Date getLastUpdateDate()

  Returns the date of the moment when this bean was last updated. This might be null when the first time the update was not finished.
  Returns:
    the last update date

### action

    public void action()

  This method starts sending the SNMP request. All properties should be set before this method is called. The actual sending will take place in the run method. It makes a new snmp context and initialises all variables before starting.
  Overrides:
    `action` in class `SNMPBean`

### run

    public void run()

  The run method according to the Runnable interface. This method will send the Pdu request, if the previous one is not still in flight.
  Overrides:
    `run` in class `SNMPRunBean`
  See Also:
    `SNMPRunBean.isRunning()`

### update

    public void update(java.util.Observable obs,
                       java.lang.Object ov)

  The update method according to the Observer interface, it will be called when the Pdu response is received. The property change event is fired.
  Specified by:
    `update` in interface `java.util.Observer`
  See Also:
    `SNMPBean.addPropertyChangeListener(java.beans.PropertyChangeListener)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 4_12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD